import Api from '../axios'

const prefix = '/mdm/mdm/storageManage'

export default {
  /* 建表-向导方式创建表 */
  createTable (obj) {
    return Api.post(prefix + '/createTable', obj)
  },
  /* 建表-扫描批量复制表 */
  createTableByCopy (obj) {
    return Api.post(prefix + '/createTableByCopy', obj)
  },
  /* 建表-DDL方式创建表 */
  createTableByDDL (obj) {
    return Api.post(prefix + '/createTableByDDL', obj)
  },
  /* 下载模板 */
  downloadTemplateColums (obj) {
    return Api.get(prefix + '/downloadTemplateColums', obj)
  },
  /* 根据表ID获取表信息接口 */
  getTableInfoById (obj) {
    return Api.getById(prefix + '/getTableInfoById', obj)
  },
  /* 根据数据库类型获取字段类型 */
  listColumTypeByDatabaseType (obj) {
    return Api.getById(prefix + '/listColumTypeByDatabaseType', obj)
  },
  /* 根据表ID获取表信息接口 */
  listColumsByTableId (obj) {
    return Api.getById(prefix + '/listColumsByTableId', obj)
  },
  /* 获取建表方式选项 */
  listCreateTableOption (obj) {
    return Api.get(prefix + '/listCreateTableOption', obj)
  },
  /* 获取已建数据库列表选项 */
  listDatabaseOption (obj) {
    return Api.get(prefix + '/listDatabaseOption', obj)
  },
  listDatabaseOptionAll (obj) {
    return Api.get(prefix + '/listDatabaseOptionAll', obj)
  },

  /* 获取数据表信息 */
  listTable (obj) {
    return Api.get(prefix + '/listTable', obj)
  },
  /* 获取数据表信息-扫描数据源，包括原始库和目标库 */
  listTableScan (obj){
    return Api.get(prefix+'/listTableScan', obj)
  },
  /* 字段模板上传 */
  loadTemplateColums (obj) {
    return Api.post(prefix + '/loadTemplateColums', obj)
  },
  /* 删表接口 */
  removeTableById (obj) {
    return Api.deleteById(prefix + '/removeTableById', obj)
  },
  /* 修改表接口 */
  updateTable (obj) {
    return Api.put(prefix + '/updateTable', obj)
  },
}
